Subject: Re: bug#49253: 27.2; Emacs non-responsive when pasting into terminal-mode

From: Matt Bisson <[email-masked]>
Date: Tue, 29 Jun 2021 11:06:14 -0400

Ah, I didn't think about just term-line-mode.  I'd have expected it to
work, and indeed it does.  No problems in that mode.

I'm still working on debugging, fwiw (not a lot of time today).  My
ToT emacs repo wasn't building.

On Tue, Jun 29, 2021 at 8:09 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Matt Bisson <[email-masked]>
> > Date: Mon, 28 Jun 2021 16:09:24 -0400
> > Cc: [email-masked]
> >
> > 1. Start "emacs -nw" <ret>
> > 2. M-x term <ret> <ret>
> > 3. In another application (for the purposes of "exact keystroke, let's
> > say, Alt-TAB to Firefox"), copy some text into the clipboard, it
> > doesn't matter what.
> > 4. Return to the Emacs session (click on the Terminal emulator,
> > Alt-TAB, whatever*), and paste into the terminal (I used Command-V).
> > 4* To be clear, return the cursor to the term-mode buffer (e.g., C-b
> > *terminal* <ret>).
>
> Maybe term-mode is simply incompatible with bracketed-paste feature
> (because they both call low-level keyboard input functions)?
>
> Does the problem go away if you switch to term-line-mode?  If not, my
> suggestion is to disable the bracketed-paste support.